# &adminguide;

## Overview

This module is a mixer for presence notifications published by an audio conference mixer as per RFC 4353: A Framework for Conferencing with SIP and RFC 4575: A SIP Event Package for Conference State. In other words it is presence handling of conference events - conference-info+xml documents.

## Dependencies

### &kamailio; Modules

The following modules must be loaded before this module:

- presence.

### External Libraries or Applications

The following libraries or applications must be installed before running &kamailio; with this module loaded:

- libxml2 - xml handling library.

## Parameters

### `use_partial_states` (int)

Control usage of partial state notifications.

Default value is 0.

#### Set `use_partial_states` parameter

    ...
    modparam("presence_conference", "use_partial_states", 0)
    ...

### `default_expires` (int)

The default expires value used when missing from SUBSCRIBE message (in seconds).

Default value is 3600.

#### Set `default_expires` parameter

    ...
    modparam("presence_conference", "default_expires", 3600)
    ...

## MI Commands

The following MI commands are currently disabled, they need to migrated to the RPC infrastructure.

### `conference_reset`

Reset internal data.

Name: conference_reset

Parameters:

- none

MI FIFO Command Format:

    		:conference_reset:_reply_fifo_file_
    		_empty_line_